define([
  'jquery',
  'underscore',
  'backbone',
  'text!templates/example.html'
], function($, _, Backbone, exampleTemplate){

  var exampleView = Backbone.View.extend({
    el: $('body'),
    initialize: function() {
      _.bindAll(this, 'render');

      this.render();
    },
    render: function() {
      this.el.html( _.template(exampleTemplate, { user: {
        name: 'John Doe'
      } }) );

      return this;
    }
  });

  return exampleView;

});
